# Make file for DIF and SSED for Borland C++ V3.0 and Borland Make V3.6
#
# 08/26/92  Peter J. Farley III
#

#		*Translator Definitions*

!ifndef BC_ROOT
BC_ROOT=$(MAKEDIR:\BIN=)
!endif
BINPATH=$(BC_ROOT)\bin
LIBPATH=$(BC_ROOT)\lib
INCPATH=$(BC_ROOT)\include
ASIPATH=$(BC_ROOT)\lib\startup
CC=$(BINPATH)\bcc +difssedc.cfg
LD=$(BINPATH)\tlink

#		*Check for debugging override*

# If "TD" is defined, compile with Turbo Debugging ON
!ifdef TD
CCOPTS=-v -y
LDOPTS=/v
!else
# If "RUN" is defined, compile with Turbo Debugging OFF
!ifdef RUN
CCOPTS=-v- -y-
LDOPTS=
# Default is "TD", compile with Turbo Debugging ON
!else
CCOPTS=-v -y
LDOPTS=/v
!endif
!endif

#		*Check for memory model override*
!ifdef MEDIUM
CMODEL=m
!else
!ifdef COMPACT
CMODEL=c
!else
!ifdef LARGE
CMODEL=l
!else
!ifdef HUGE
CMODEL=h
!else
#		*Default model is SMALL*
CMODEL=s
!endif
!endif
!endif
!endif

CFLAGS=-m$(CMODEL) $(CCOPTS)
LDFLAGS=$(LDOPTS)

#		*Implicit Rules (override those in $(BINPATH)\builtins.mak)*

.c.obj:
	$(CC) $(CFLAGS) -c {$< }

#		*Explicit Rules*

all:	    dif.exe ssed.exe

dif.exe:    dif.obj
	$(LD) $(LDFLAGS) @&&|
/c /d /x /L$(LIBPATH)+
c0$(CMODEL).obj+
dif.obj
dif,dif
emu.lib+
math$(CMODEL).lib+
c$(CMODEL).lib
|

ssed.exe:   ssed.obj
	$(LD) $(LDFLAGS) @&&|
/c /d /x /L$(LIBPATH)+
c0$(CMODEL).obj+
ssed.obj
ssed,ssed
emu.lib+
math$(CMODEL).lib+
c$(CMODEL).lib
|

#		*Package for Upload*

zip:	    dif.exe ssed.exe
	pkzip -a -o dfsd23 readme.1st dif.* *.mak dif_*.* makeit.bat \
	    ssed.* ssed_.* testit.bat

#		*Cleanup Rules*

clean:
       -del *.obj
       -del difssed*.cfg

allclean:
       -del *.obj
       -del difssed*.cfg
       -del dif.exe
       -del ssed.exe

#		*Individual File Dependencies*

dif.obj:	difssedc.cfg	dif.c
ssed.obj:	difssedc.cfg	ssed.c

#		*Configuration Files*

difssedc.cfg:	    difssed.mak
	copy &&|
-d -f -k -N -G -O2 -Z -w -A
-I$(INCPATH)
-L$(LIBPATH)
| difssedc.cfg > NUL
